Cyberduck Mountain Duck CLI

#7327 closed defect (fixed)

SSH symlink replacement bug

Reported by: vitorio Owned by: dkocher
Priority: normal Milestone: 4.4
Component: sftp Version: 4.3.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.7

Description

Hi!

First of all, thanks so much for Cyberduck, an amazing program that I'm using since 5 years now. Today I found something that I consider like a bug. Let me explain:

Protocol: SFTP Distant directory contained files and some symbolic links.

Action: I uploaded a file with the same name of a symlink and choose to replace expecting it would replace the symlink by the file I'm uploading.

Result: The symbolic link was followed and the file replaced the original file in the server, instead of the symbolic link pointing to it.

I don't know what is your statement on it, but it seems illogical to me that the symbolic link is followed in this situation. It leads to a potential accidental deletion of files. Fortunately, in my case I had a backup.

Change History (4)

comment:1 Changed on Jun 28, 2013 at 2:20:21 PM by dkocher

  • Component changed from core to sftp
  • Owner set to dkocher

comment:2 Changed on Aug 18, 2013 at 3:43:23 PM by dkocher

  • Milestone set to 4.4
  • Status changed from new to assigned

comment:3 Changed on Aug 21, 2013 at 12:30:23 PM by dkocher

The sftp program from OpenSSH shows the same behaviour.

comment:4 Changed on Aug 21, 2013 at 12:38:51 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r12550.

Note: See TracTickets for help on using tickets.
swiss made software